Bug 1242880 - capsule upgrade throwing errors of workers gone missing
Summary: capsule upgrade throwing errors of workers gone missing
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades
Version: 6.1.0
Hardware: Unspecified
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
David O'Brien
URL:
Whiteboard:
Depends On:
Blocks: sat61-release-notes 1195450
TreeView+ depends on / blocked
 
Reported: 2015-07-14 10:19 UTC by Jitendra Yejare
Modified: 2017-02-23 19:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-03 13:03:08 UTC


Attachments (Terms of Use)
Capsule Foreman-Debug (273.50 KB, application/x-xz)
2015-07-14 10:19 UTC, Jitendra Yejare
no flags Details
Satellite Foreman-Debug (681.75 KB, application/x-xz)
2015-07-14 10:20 UTC, Jitendra Yejare
no flags Details

Description Jitendra Yejare 2015-07-14 10:19:05 UTC
Created attachment 1051741 [details]
Capsule Foreman-Debug

Description of problem:
While upgrading capsule 6.1 beta to Capsule 6.1.1 GA compose, Logs in background are throwing errors of workers gone missing.

Errors:
Jul 13 10:02:49 capsule-sat6-rhel71 pulp: pulp.server.async.scheduler:ERROR: Workers 'reserved_resource_worker-3@capsule-sat6-rhel71.usersys.redhat.com' has gone missing, removing from list of workers
Jul 13 10:02:49 capsule-sat6-rhel71 pulp: pulp.server.async.tasks:ERROR: The worker named reserved_resource_worker-3@capsule-sat6-rhel71.usersys.redhat.com is missing. Canceling the tasks in its queue.

Version-Release number of selected component (if applicable):
Satellite GA Snap 12

How reproducible:

Pre-Condition:
Capsule 6.1 beta synced with Satellite 6.1 beta.

Steps to Reproduce:
1.Upgrade Sat 6.1 Beta to latest GA snap/compose.
2. After finishing satellite upgrade, upgrade capsule 6.1 beta to latest GA snap/compose.
3. Observe the logs /var/log/messages and capsule-installer logs on capsule while, capsule-installer --upgrade.

Actual results:
Error Messages of workers gone missing are observed.

Expected results:
No error logs.

Additional info:
Although the errors, Capsule upgrade is showing 100% success.

Comment 1 Jitendra Yejare 2015-07-14 10:20:16 UTC
Created attachment 1051742 [details]
Satellite Foreman-Debug

Comment 2 Jitendra Yejare 2015-07-14 10:33:56 UTC
However re-running the capsule upgrade(Workaround from BZ1228694) solves the issue. And no more workers gone missing error displayed.

Comment 4 Jitendra Yejare 2015-08-03 13:03:08 UTC
This issue is no more reproducible with latest Snap 15 C3 and C4.

So closing this as WORKS_FOR_ME.


Note You need to log in before you can comment on or make changes to this bug.